﻿using UnityEngine;
using System.Collections;

public class Projectile : MonoBehaviour {

	private bool isEnemy = false;
	private bool hasHit = false;

	// Use this for initialization
	void Start () {
		// Debug.Log ("Bullet start");
		Destroy (gameObject, 1f);
	}
	
	// Update is called once per frame
	void Update () {
	
	}

//	void OnCollisionEnter2D(Collision2D collision) {
//		Debug.Log ("Proj hit " + collision.collider.gameObject.name);
//		Destroy (gameObject);
//	}

	void OnTriggerEnter2D(Collider2D collider) {

		if (hasHit) { return; }

		string collideTag = "UnitsEnemy";
		if (isEnemy) { collideTag = "Units"; }

		if (collider.gameObject.CompareTag (collideTag) || collider.gameObject.CompareTag ("Trees")) {
			hasHit = true;
			Debug.Log (collideTag + " proj hit " + collider.gameObject.name + " - " + collider.gameObject.tag);
			audio.Play ();
			renderer.enabled = false;

			if (collider.gameObject.CompareTag (collideTag)) {
				collider.GetComponent<Unit> ().takeDamage (5f);
			}

			Destroy (gameObject, 2f);
		}
	}

	public void setEnemy(bool newStatus) {
		isEnemy = newStatus;
	}
}
