﻿using UnityEngine;
using System.Collections;

public class Trench : MonoBehaviour {

	private int inTrench = 0;
	private SpriteRenderer sprRenderer;

	// Use this for initialization
	void Start () {
		sprRenderer = GetComponent<SpriteRenderer> ();
	}
	
	// Update is called once per frame
	void Update () {
		if (inTrench > 0) {
			sprRenderer.color = new Color (0.79F, 0.98F, 0.69F, 1F);
		} else {
			sprRenderer.color = Color.white;
		}
	}
	
	void OnTriggerEnter2D(Collider2D collider) {
		if (collider.gameObject.CompareTag ("Units")) {
			inTrench++;
		}
	}
	
	
	void OnTriggerExit2D(Collider2D collider) {
		if (collider.gameObject.CompareTag ("Units")) {
			if (inTrench > 0) { inTrench--; }
		}
	}
}
